Index: pjproject/trunk/pjmedia/src/pjmedia/g711.c
===================================================================
--- pjproject/trunk/pjmedia/src/pjmedia/g711.c	(revision 158)
+++ pjproject/trunk/pjmedia/src/pjmedia/g711.c	(revision 159)
@@ -21,4 +21,5 @@
  */
 #include <pjmedia/codec.h>
+#include <pjmedia/errno.h>
 #include <pj/pool.h>
 #include <pj/string.h>
@@ -30,6 +31,6 @@
 
 /* These are the only public functions exported to applications */
-PJ_DECL(pj_status_t) g711_init_factory (pj_codec_factory *factory, pj_pool_t *pool);
-PJ_DECL(pj_status_t) g711_deinit_factory (pj_codec_factory *factory);
+PJ_DECL(pj_status_t) g711_init_factory (pjmedia_codec_factory *factory, pj_pool_t *pool);
+PJ_DECL(pj_status_t) g711_deinit_factory (pjmedia_codec_factory *factory);
 
 /* Algorithm prototypes. */
@@ -40,22 +41,22 @@
 
 /* Prototypes for G711 factory */
-static pj_status_t  g711_match_id( pj_codec_factory *factory, const pj_codec_id *id );
-static pj_status_t  g711_default_attr( pj_codec_factory *factory, const pj_codec_id *id, pj_codec_attr *attr );
-static unsigned	    g711_enum_codecs (pj_codec_factory *factory, unsigned count, pj_codec_id codecs[]);
-static pj_codec*    g711_alloc_codec( pj_codec_factory *factory, const pj_codec_id *id);
-static void	    g711_dealloc_codec( pj_codec_factory *factory, pj_codec *codec );
+static pj_status_t g711_match_id( pjmedia_codec_factory *factory, const pjmedia_codec_info *id );
+static pj_status_t g711_default_attr( pjmedia_codec_factory *factory, const pjmedia_codec_info *id, pjmedia_codec_param *attr );
+static pj_status_t g711_enum_codecs (pjmedia_codec_factory *factory, unsigned *count, pjmedia_codec_info codecs[]);
+static pj_status_t g711_alloc_codec( pjmedia_codec_factory *factory, const pjmedia_codec_info *id, pjmedia_codec **p_codec);
+static pj_status_t g711_dealloc_codec( pjmedia_codec_factory *factory, pjmedia_codec *codec );
 
 /* Prototypes for G711 implementation. */
-static pj_status_t  g711_codec_default_attr (pj_codec *codec, pj_codec_attr *attr);
-static pj_status_t  g711_init( pj_codec *codec, pj_pool_t *pool );
-static pj_status_t  g711_open( pj_codec *codec, pj_codec_attr *attr );
-static pj_status_t  g711_close( pj_codec *codec );
-static pj_status_t  g711_encode( pj_codec *codec, const struct pj_audio_frame *input,
-				 unsigned output_buf_len, struct pj_audio_frame *output);
-static pj_status_t  g711_decode( pj_codec *codec, const struct pj_audio_frame *input,
-				 unsigned output_buf_len, struct pj_audio_frame *output);
+static pj_status_t  g711_codec_default_attr (pjmedia_codec *codec, pjmedia_codec_param *attr);
+static pj_status_t  g711_init( pjmedia_codec *codec, pj_pool_t *pool );
+static pj_status_t  g711_open( pjmedia_codec *codec, pjmedia_codec_param *attr );
+static pj_status_t  g711_close( pjmedia_codec *codec );
+static pj_status_t  g711_encode( pjmedia_codec *codec, const struct pjmedia_frame *input,
+				 unsigned output_buf_len, struct pjmedia_frame *output);
+static pj_status_t  g711_decode( pjmedia_codec *codec, const struct pjmedia_frame *input,
+				 unsigned output_buf_len, struct pjmedia_frame *output);
 
 /* Definition for G711 codec operations. */
-static pj_codec_op g711_op = 
+static pjmedia_codec_op g711_op = 
 {
     &g711_codec_default_attr ,
@@ -68,5 +69,5 @@
 
 /* Definition for G711 codec factory operations. */
-static pj_codec_factory_op g711_factory_op =
+static pjmedia_codec_factory_op g711_factory_op =
 {
     &g711_match_id,
@@ -81,5 +82,5 @@
 {
     pj_pool_t  *pool;
-    pj_codec	codec_list;
+    pjmedia_codec	codec_list;
 };
 
@@ -91,8 +92,8 @@
 
 
-PJ_DEF(pj_status_t) g711_init_factory (pj_codec_factory *factory, pj_pool_t *pool)
+PJ_DEF(pj_status_t) g711_init_factory (pjmedia_codec_factory *factory, pj_pool_t *pool)
 {
     struct g711_factory_private *priv;
-    //enum { CODEC_MEM_SIZE = sizeof(pj_codec) + sizeof(struct g711_private) + 4 };
+    //enum { CODEC_MEM_SIZE = sizeof(pjmedia_codec) + sizeof(struct g711_private) + 4 };
 
     /* Create pool. */
@@ -118,5 +119,5 @@
 }
 
-PJ_DEF(pj_status_t) g711_deinit_factory (pj_codec_factory *factory)
+PJ_DEF(pj_status_t) g711_deinit_factory (pjmedia_codec_factory *factory)
 {
     struct g711_factory_private *priv = factory->factory_data;
@@ -128,19 +129,19 @@
 }
 
-static pj_status_t g711_match_id( pj_codec_factory *factory, const pj_codec_id *id )
+static pj_status_t g711_match_id( pjmedia_codec_factory *factory, const pjmedia_codec_info *id )
 {
     PJ_UNUSED_ARG(factory);
 
     /* It's sufficient to check payload type only. */
-    return (id->pt==PJ_RTP_PT_PCMU || id->pt==PJ_RTP_PT_PCMA) ? 0 : -1;
-}
-
-static pj_status_t g711_default_attr (pj_codec_factory *factory, 
-				      const pj_codec_id *id, 
-				      pj_codec_attr *attr )
+    return (id->pt==PJMEDIA_RTP_PT_PCMU || id->pt==PJMEDIA_RTP_PT_PCMA) ? 0 : -1;
+}
+
+static pj_status_t g711_default_attr (pjmedia_codec_factory *factory, 
+				      const pjmedia_codec_info *id, 
+				      pjmedia_codec_param *attr )
 {
     PJ_UNUSED_ARG(factory);
 
-    memset(attr, 0, sizeof(pj_codec_attr));
+    memset(attr, 0, sizeof(pjmedia_codec_param));
     attr->sample_rate = 8000;
     attr->avg_bps = G711_BPS;
@@ -154,29 +155,35 @@
 }
 
-static unsigned	g711_enum_codecs (pj_codec_factory *factory, 
-				  unsigned count, pj_codec_id codecs[])
+static pj_status_t g711_enum_codecs(pjmedia_codec_factory *factory, 
+				    unsigned *count, 
+				    pjmedia_codec_info codecs[])
 {
     PJ_UNUSED_ARG(factory);
 
-    if (count > 0) {
-	codecs[0].type = PJ_MEDIA_TYPE_AUDIO;
-	codecs[0].pt = PJ_RTP_PT_PCMU;
+    if (*count > 0) {
+	codecs[0].type = PJMEDIA_TYPE_AUDIO;
+	codecs[0].pt = PJMEDIA_RTP_PT_PCMU;
 	codecs[0].encoding_name = pj_str("PCMU");
 	codecs[0].sample_rate = 8000;
     }
-    if (count > 1) {
-	codecs[1].type = PJ_MEDIA_TYPE_AUDIO;
-	codecs[1].pt = PJ_RTP_PT_PCMA;
+    if (*count > 1) {
+	codecs[1].type = PJMEDIA_TYPE_AUDIO;
+	codecs[1].pt = PJMEDIA_RTP_PT_PCMA;
 	codecs[1].encoding_name = pj_str("PCMA");
 	codecs[1].sample_rate = 8000;
     }
 
-    return 2;
-}
-
-static pj_codec *g711_alloc_codec( pj_codec_factory *factory, const pj_codec_id *id)
+    if (*count > 0) *count=1;
+    if (*count > 1) *count=2;
+
+    return PJ_SUCCESS;
+}
+
+static pj_status_t g711_alloc_codec( pjmedia_codec_factory *factory, 
+				     const pjmedia_codec_info *id,
+				     pjmedia_codec **p_codec)
 {
     struct g711_factory_private *priv = factory->factory_data;
-    pj_codec *codec = NULL;
+    pjmedia_codec *codec = NULL;
 
     /* Allocate new codec if no more is available */
@@ -184,8 +191,8 @@
 	struct g711_private *codec_priv;
 
-	codec = pj_pool_alloc(priv->pool, sizeof(pj_codec));
+	codec = pj_pool_alloc(priv->pool, sizeof(pjmedia_codec));
 	codec_priv = pj_pool_alloc(priv->pool, sizeof(struct g711_private));
 	if (!codec || !codec_priv)
-	    return NULL;
+	    return PJ_ENOMEM;
 
 	codec_priv->pt = id->pt;
@@ -202,8 +209,9 @@
     codec->next = codec->prev = NULL;
 
-    return codec;
-}
-
-static void g711_dealloc_codec( pj_codec_factory *factory, pj_codec *codec )
+    *p_codec = codec;
+    return PJ_SUCCESS;
+}
+
+static pj_status_t g711_dealloc_codec( pjmedia_codec_factory *factory, pjmedia_codec *codec )
 {
     struct g711_factory_private *priv = factory->factory_data;
@@ -212,15 +220,17 @@
     pj_assert (codec->next==NULL && codec->prev==NULL);
     if (codec->next!=NULL || codec->prev!=NULL) {
-	return;
+	return PJ_EINVALIDOP;
     }
 
     /* Insert at the back of the list */
     pj_list_insert_before(&priv->codec_list, codec);
-}
-
-static pj_status_t g711_codec_default_attr  (pj_codec *codec, pj_codec_attr *attr)
+
+    return PJ_SUCCESS;
+}
+
+static pj_status_t g711_codec_default_attr  (pjmedia_codec *codec, pjmedia_codec_param *attr)
 {
     struct g711_private *priv = codec->codec_data;
-    pj_codec_id id;
+    pjmedia_codec_info id;
 
     id.pt = priv->pt;
@@ -228,5 +238,5 @@
 }
 
-static pj_status_t g711_init( pj_codec *codec, pj_pool_t *pool )
+static pj_status_t g711_init( pjmedia_codec *codec, pj_pool_t *pool )
 {
     /* There's nothing to do here really */
@@ -237,5 +247,5 @@
 }
 
-static pj_status_t g711_open( pj_codec *codec, pj_codec_attr *attr )
+static pj_status_t g711_open( pjmedia_codec *codec, pjmedia_codec_param *attr )
 {
     struct g711_private *priv = codec->codec_data;
@@ -244,5 +254,5 @@
 }
 
-static pj_status_t g711_close( pj_codec *codec )
+static pj_status_t g711_close( pjmedia_codec *codec )
 {
     PJ_UNUSED_ARG(codec);
@@ -251,6 +261,6 @@
 }
 
-static pj_status_t  g711_encode( pj_codec *codec, const struct pj_audio_frame *input,
-				 unsigned output_buf_len, struct pj_audio_frame *output)
+static pj_status_t  g711_encode( pjmedia_codec *codec, const struct pjmedia_frame *input,
+				 unsigned output_buf_len, struct pjmedia_frame *output)
 {
     pj_int16_t *samples = (pj_int16_t*) input->buf;
@@ -262,5 +272,5 @@
 
     /* Encode */
-    if (priv->pt == PJ_RTP_PT_PCMA) {
+    if (priv->pt == PJMEDIA_RTP_PT_PCMA) {
 	unsigned i;
 	pj_uint8_t *dst = output->buf;
@@ -269,5 +279,5 @@
 	    *dst = linear2alaw(samples[i]);
 	}
-    } else if (priv->pt == PJ_RTP_PT_PCMU) {
+    } else if (priv->pt == PJMEDIA_RTP_PT_PCMU) {
 	unsigned i;
 	pj_uint8_t *dst = output->buf;
@@ -281,5 +291,5 @@
     }
 
-    output->type = PJ_AUDIO_FRAME_AUDIO;
+    output->type = PJMEDIA_FRAME_TYPE_AUDIO;
     output->size = input->size / 2;
 
@@ -287,6 +297,6 @@
 }
 
-static pj_status_t  g711_decode( pj_codec *codec, const struct pj_audio_frame *input,
-				 unsigned output_buf_len, struct pj_audio_frame *output)
+static pj_status_t  g711_decode( pjmedia_codec *codec, const struct pjmedia_frame *input,
+				 unsigned output_buf_len, struct pjmedia_frame *output)
 {
     struct g711_private *priv = codec->codec_data;
@@ -297,5 +307,5 @@
 
     /* Decode */
-    if (priv->pt == PJ_RTP_PT_PCMA) {
+    if (priv->pt == PJMEDIA_RTP_PT_PCMA) {
 	unsigned i;
 	pj_uint8_t *src = input->buf;
@@ -305,5 +315,5 @@
 	    *dst++ = (pj_uint16_t) alaw2linear(*src++);
 	}
-    } else if (priv->pt == PJ_RTP_PT_PCMU) {
+    } else if (priv->pt == PJMEDIA_RTP_PT_PCMU) {
 	unsigned i;
 	pj_uint8_t *src = input->buf;
@@ -318,5 +328,5 @@
     }
 
-    output->type = PJ_AUDIO_FRAME_AUDIO;
+    output->type = PJMEDIA_FRAME_TYPE_AUDIO;
     output->size = input->size * 2;
 
Index: pjproject/trunk/pjmedia/src/pjmedia/rtcp.c
===================================================================
--- pjproject/trunk/pjmedia/src/pjmedia/rtcp.c	(revision 158)
+++ pjproject/trunk/pjmedia/src/pjmedia/rtcp.c	(revision 159)
@@ -93,5 +93,5 @@
     /* Update sequence numbers (received, lost, etc). */
     status = pj_rtp_seq_update(&s->seq_ctrl, seq);
-    if (status == PJ_RTP_ERR_SESSION_RESTARTED) {
+    if (status == PJMEDIA_RTP_ERR_SESSION_RESTARTED) {
 	rtcp_init_seq(s, seq);
 	status = 0;
Index: pjproject/trunk/pjmedia/src/pjmedia/rtp.c
===================================================================
--- pjproject/trunk/pjmedia/src/pjmedia/rtp.c	(revision 158)
+++ pjproject/trunk/pjmedia/src/pjmedia/rtp.c	(revision 159)
@@ -44,5 +44,5 @@
     if (sizeof(struct pj_rtp_hdr) != 12) {
 	pj_assert(!"Wrong RTP header packing!");
-	return PJ_RTP_ERR_RTP_PACKING;
+	return PJMEDIA_RTP_ERR_RTP_PACKING;
     }
 
@@ -129,5 +129,5 @@
     if ((*hdr)->v != RTP_VERSION) {
 	PJ_LOG(4, (THIS_FILE, "  invalid RTP version!"));
-	return PJ_RTP_ERR_INVALID_VERSION;
+	return PJMEDIA_RTP_ERR_INVALID_VERSION;
     }
 
@@ -143,5 +143,5 @@
     /* Check that offset is less than packet size */
     if (offset >= pkt_len)
-	return PJ_RTP_ERR_INVALID_PACKET;
+	return PJMEDIA_RTP_ERR_INVALID_PACKET;
 
     /* Find and set payload. */
@@ -163,5 +163,5 @@
 	PJ_LOG(4, (THIS_FILE, "pj_rtp_session_update: ses=%p, invalid ssrc 0x%p (!=0x%p)",
 		   ses, pj_ntohl(hdr->ssrc), ses->peer_ssrc));
-	return PJ_RTP_ERR_INVALID_SSRC;
+	return PJMEDIA_RTP_ERR_INVALID_SSRC;
     }
     */
@@ -171,5 +171,5 @@
 	PJ_LOG(4, (THIS_FILE, "pj_rtp_session_update: ses=%p, invalid payload type %d (!=%d)",
 		   ses, hdr->pt, ses->out_pt));
-	return PJ_RTP_ERR_INVALID_PT;
+	return PJMEDIA_RTP_ERR_INVALID_PT;
     }
 
@@ -180,8 +180,8 @@
     /* Check sequence number to see if remote session has been restarted. */
     status = pj_rtp_seq_update( &ses->seq_ctrl, pj_ntohs(hdr->seq));
-    if (status == PJ_RTP_ERR_SESSION_RESTARTED) {
+    if (status == PJMEDIA_RTP_ERR_SESSION_RESTARTED) {
 	pj_rtp_seq_restart( &ses->seq_ctrl, pj_ntohs(hdr->seq));
 	++ses->received;
-    } else if (status == 0 || status == PJ_RTP_ERR_SESSION_PROBATION) {
+    } else if (status == 0 || status == PJMEDIA_RTP_ERR_SESSION_PROBATION) {
 	++ses->received;
     }
@@ -224,5 +224,5 @@
             sctrl->max_seq = seq;
             if (sctrl->probation == 0) {
-                return PJ_RTP_ERR_SESSION_RESTARTED;
+                return PJMEDIA_RTP_ERR_SESSION_RESTARTED;
             }
 	} else {
@@ -230,5 +230,5 @@
 	    sctrl->max_seq = seq;
         }
-        return PJ_RTP_ERR_SESSION_PROBATION;
+        return PJMEDIA_RTP_ERR_SESSION_PROBATION;
 
     } else if (udelta < MAX_DROPOUT) {
@@ -248,9 +248,9 @@
 	     * (i.e., pretend this was the first packet).
 	     */
-	    return PJ_RTP_ERR_SESSION_RESTARTED;
+	    return PJMEDIA_RTP_ERR_SESSION_RESTARTED;
 	}
         else {
 	    sctrl->bad_seq = (seq + 1) & (RTP_SEQ_MOD-1);
-            return PJ_RTP_ERR_BAD_SEQUENCE;
+            return PJMEDIA_RTP_ERR_BAD_SEQUENCE;
         }
     } else {
